////////////////////////////////////////////////////////
/////////// Funções Gerenciamento Streaming ////////////
////////////////////////////////////////////////////////

// Função para ligar todos os streamings da revenda
function ligar_streamings_revenda() {
  
  document.getElementById("local-status-acoes").innerHTML = '<div class="alert alert-info text-center" role="alert"><img src="/img/ajax-loader.gif" /></div>';
  $("#local-status-acoes").show();
  
  var http = new Ajax();
  http.open("GET", "/admin/funcoes-ajax-revenda/ligar_streamings" , true);
  http.onreadystatechange = function() {
  
  if(http.readyState == 4) {
  
  resultado = http.responseText;
  
  document.getElementById("local-status-acoes").innerHTML = resultado;
  $("#local-status-acoes").delay(15000).fadeOut(300);
  setTimeout(function() { 
    window.location.reload(); 
    }, 5000);
  }
  
  }
  http.send(null);
  delete http;
}

// Função para bloquear o streaming
function bloquear_streaming( login ) {
	
  if(login == "") {
  alert("Erro! Tente novamente ou contate o suporte.");
  } else {
  
  document.getElementById("local-status-acoes").innerHTML = '<div class="alert alert-info text-center" role="alert"><img src="/img/ajax-loader.gif" /></div>';
  $("#local-status-acoes").show();
  
  var http = new Ajax();
  http.open("GET", "/admin/funcoes-ajax-revenda/bloquear_streaming/"+login , true);
  http.onreadystatechange = function() {
	
  if(http.readyState == 4) {
  
	resultado = http.responseText;
  
  document.getElementById("local-status-acoes").innerHTML = resultado;
  $('#' + $.escapeSelector(login)).addClass("table-danger");
  $("#local-status-acoes").delay(15000).fadeOut(300);
	
  }
  
  }
  http.send(null);
  delete http;
  }
}

// Função para desbloquear o streaming
function desbloquear_streaming( login ) {
	
  if(login == "") {
  alert("Erro! Tente novamente ou contate o suporte.");
  } else {
  
  document.getElementById("local-status-acoes").innerHTML = '<div class="alert alert-info text-center" role="alert"><img src="/img/ajax-loader.gif" /></div>';
  $("#local-status-acoes").show();
  
  var http = new Ajax();
  http.open("GET", "/admin/funcoes-ajax-revenda/desbloquear_streaming/"+login , true);
  http.onreadystatechange = function() {
	
  if(http.readyState == 4) {
  
	resultado = http.responseText;
  
  document.getElementById("local-status-acoes").innerHTML = resultado;
  $('#' + $.escapeSelector(login)).removeClass("table-danger");
  $("#local-status-acoes").delay(15000).fadeOut(300);	
	
  }
  
  }
  http.send(null);
  delete http;
  }
}

// Função para remover o streaming
function remover_streaming( login ) {
	
  if(login == "") {
  alert("Erro! Tente novamente ou contate o suporte.");
  } else {

  if(window.confirm("Pt-BR: Deseja realmente remover?\nEn-US: Confirme exclusion?\nES: Deseas realmente borrar?")) {
  
  document.getElementById("local-status-acoes").innerHTML = '<div class="alert alert-info text-center" role="alert"><img src="/img/ajax-loader.gif" /></div>';
  $("#local-status-acoes").show();
  
  var http = new Ajax();
  http.open("GET", "/admin/funcoes-ajax-revenda/remover_streaming/"+login , true);
  http.onreadystatechange = function() {
	
  if(http.readyState == 4) {
  
	resultado = http.responseText;
  
  document.getElementById("local-status-acoes").innerHTML = resultado;  
  $('#' + $.escapeSelector(porta)).remove();
  $("#local-status-acoes").delay(15000).fadeOut(300);
	
  }
  
  }
  http.send(null);
  delete http;
  }
  }
}

// Função para revenda acessar painel do streaming
function acessar_painel_streaming_revenda( login ) {
  
  document.getElementById("local-status-acoes").innerHTML = '<div class="alert alert-info text-center" role="alert"><img src="/img/ajax-loader.gif" /></div>';
  $("#local-status-acoes").show();
  
  var http = new Ajax();
  http.open("GET", "/admin/funcoes-ajax-revenda/acessar_painel_streaming_revenda/"+login , true);
  http.onreadystatechange = function() {
	
  if(http.readyState == 4) {
  
	resultado = http.responseText;
	
	dados = resultado.split("|");
	
  if(dados[0] == "1") {
  window.location = "/login-autentica-revenda/"+dados[1]+"";
  } else {  
  document.getElementById("local-status-acoes").innerHTML = dados[1];
  $("#local-status-acoes").delay(15000).fadeOut(300);
  }
	
  }
  
  }
  http.send(null);
  delete http;
}

////////////////////////////////////////////////////////
///////////// Funções Gerenciamento Painel /////////////
////////////////////////////////////////////////////////

// Função para exibir avisos
function exibir_aviso( codigo ) {
  
  document.getElementById("avisos-conteudo").innerHTML = "<img src='/img/ajax-loader.gif' />";
  
  var http = new Ajax();
  http.open("GET", "/admin/funcoes-ajax-revenda/exibir_aviso/"+codigo , true);
  http.onreadystatechange = function() {
  
  if(http.readyState == 4) {
  
  resultado = http.responseText;
  
  document.getElementById("avisos-conteudo").innerHTML = resultado; 
  
  }
  
  }
  http.send(null);
  delete http;
}

// Função para marcar um aviso como vizualizado
function desativar_exibicao_aviso( codigo, area, codigo_usuario ) {
  
  var http = new Ajax();
  http.open("GET", "/admin/funcoes-ajax-revenda/desativar_exibicao_aviso/"+codigo+"/"+area+"/"+codigo_usuario , true);
  http.send(null);
  delete http;
  
}

////////////////////////////////////////////////////////
////////// Funções Gerenciamento Sub Revenda ///////////
////////////////////////////////////////////////////////

// Função para bloquear uma sub revenda
function bloquear_subrevenda( codigo ) {
  
  document.getElementById("local-status-acoes").innerHTML = '<div class="alert alert-info text-center" role="alert"><img src="/img/ajax-loader.gif" /></div>';
  $("#local-status-acoes").show();
  
  var http = new Ajax();
  http.open("GET", "/admin/funcoes-ajax-revenda/bloquear_subrevenda/"+codigo , true);
  http.onreadystatechange = function() {
	
  if(http.readyState == 4) {
  
	resultado = http.responseText;
  
  document.getElementById("local-status-acoes").innerHTML = resultado;
  $('#' + $.escapeSelector(codigo)).addClass("table-danger");
  $("#local-status-acoes").delay(15000).fadeOut(300);
	
  }
  
  }
  http.send(null);
  delete http;
}

// Função para desbloquear uma sub revenda
function desbloquear_subrevenda( codigo ) {
  
  document.getElementById("local-status-acoes").innerHTML = '<div class="alert alert-info text-center" role="alert"><img src="/img/ajax-loader.gif" /></div>';
  $("#local-status-acoes").show();
  
  var http = new Ajax();
  http.open("GET", "/admin/funcoes-ajax-revenda/desbloquear_subrevenda/"+codigo , true);
  http.onreadystatechange = function() {
	
  if(http.readyState == 4) {
  
	resultado = http.responseText;
  
  document.getElementById("local-status-acoes").innerHTML = resultado;
  $('#' + $.escapeSelector(codigo)).removeClass("table-danger");
  $("#local-status-acoes").delay(15000).fadeOut(300);	
	
  }
  
  }
  http.send(null);
  delete http;
}

// Função para remover uma sub revenda
function remover_subrevenda( codigo ) {

  if(window.confirm("Pt-BR: Continuar?\nEn-US: Continue?\nES: Continuar?")) {

  document.getElementById("local-status-acoes").innerHTML = '<div class="alert alert-info text-center" role="alert"><img src="/img/ajax-loader.gif" /></div>';
  $("#local-status-acoes").show();
  
  var http = new Ajax();
  http.open("GET", "/admin/funcoes-ajax-revenda/remover_subrevenda/"+codigo , true);
  http.onreadystatechange = function() {
  
  if(http.readyState == 4) {
  
  resultado = http.responseText;
  
  document.getElementById("local-status-acoes").innerHTML = resultado;  
  $('#' + $.escapeSelector(codigo)).remove();
  $("#local-status-acoes").delay(15000).fadeOut(300);
  
  }
  
  }
  http.send(null);
  delete http;
  }
}

// Função para mover um streaming para a revenda principal
function mover_streaming_subrevenda_revenda( login ) {

  document.getElementById("local-status-acoes").innerHTML = '<div class="alert alert-info text-center" role="alert"><img src="/img/ajax-loader.gif" /></div>';
  $("#local-status-acoes").show();
  
  var http = new Ajax();
  http.open("GET", "/admin/funcoes-ajax-revenda/mover_streaming_subrevenda_revenda/"+login , true);
  http.onreadystatechange = function() {
	
  if(http.readyState == 4) {
  
	resultado = http.responseText;
  
  document.getElementById("local-status-acoes").innerHTML = resultado;  
  $('#' + $.escapeSelector(porta)).remove();
  $("#local-status-acoes").delay(15000).fadeOut(300); 
	
  }
  
  }
  http.send(null);
  delete http;
}

// Função para mover um streaming para outra sub revenda
function mover_streaming_subrevenda_subrevenda( login ) {
  
  var id = prompt('Pt-BR: Informe o ID da Sub Revenda destino, ex: abcdef123\n\nEn-US: Enter the Sub Reseller destination ID, example: abcdef123\n\nES: Introduzca el Sub Reseller ID de destino, por ejemplo: abcdef123');
    
  if(id) {

  if(window.confirm("Pt-BR: Continua?\nEn-US: Continue?\nES: Continuar?")) {

  document.getElementById("local-status-acoes").innerHTML = '<div class="alert alert-info text-center" role="alert"><img src="/img/ajax-loader.gif" /></div>';
  $("#local-status-acoes").show();
  
  var http = new Ajax();
  http.open("GET", "/admin/funcoes-ajax-revenda/mover_streaming_subrevenda_subrevenda/"+login+"/"+id , true);
  http.onreadystatechange = function() {
  
  if(http.readyState == 4) {
  
  resultado = http.responseText;
  
  document.getElementById("local-status-acoes").innerHTML = resultado;  
  $('#' + $.escapeSelector(login)).remove();
  $("#local-status-acoes").delay(15000).fadeOut(300);
  
  }
  
  }
  http.send(null);
  delete http;
  }
  }
}

// Função para mover um streaming para uma sub revenda
function mover_streaming_revenda_subrevenda( login ) {
  
  var id = prompt('Pt-BR: Informe o ID da Sub Revenda destino, ex: abcdef123\n\nEn-US: Enter the Sub Reseller destination ID, example: abcdef123\n\nES: Introduzca el Sub Reseller ID de destino, por ejemplo: abcdef123');
    
  if(id) {

  if(window.confirm("Pt-BR: Continua?\nEn-US: Continue?\nES: Continuar?")) {

  document.getElementById("local-status-acoes").innerHTML = '<div class="alert alert-info text-center" role="alert"><img src="/img/ajax-loader.gif" /></div>';
  $("#local-status-acoes").show();
  
  var http = new Ajax();
  http.open("GET", "/admin/funcoes-ajax-revenda/mover_streaming_revenda_subrevenda/"+login+"/"+id , true);
  http.onreadystatechange = function() {
  
  if(http.readyState == 4) {
  
  resultado = http.responseText;
  
  document.getElementById("local-status-acoes").innerHTML = resultado;  
  $('#' + $.escapeSelector(login)).remove();
  $("#local-status-acoes").delay(15000).fadeOut(300);
  
  }
  
  }
  http.send(null);
  delete http;
  }
  }
}

// Função para remover um plano
function remover_plano( plano ) {
  
  if(plano == "") {
  alert("Error!\n\nPt-BR: Plano vazio!\nEn-US: Package empty!\nES: Plan vacío!");
  } else {
	  
  document.getElementById("local-status-acoes").innerHTML = '<div class="alert alert-info text-center" role="alert"><img src="/img/ajax-loader.gif" /></div>';
  $("#local-status-acoes").show();
  
  var http = new Ajax();
  http.open("GET", "/admin/funcoes-ajax-revenda/remover_plano/"+plano , true);
  http.onreadystatechange = function() {
	
  if(http.readyState == 4) {
  
	resultado = http.responseText;
  
  document.getElementById("local-status-acoes").innerHTML = resultado;  
  $('#' + $.escapeSelector(plano)).remove();
  $("#local-status-acoes").delay(15000).fadeOut(300);
	
  }
  
  }
  http.send(null);
  delete http;
  }
}


// Função para remover uma requisição de app android
function remover_app_android( codigo ) {
	
  document.getElementById("local-status-acoes").innerHTML = '<div class="alert alert-info text-center" role="alert"><img src="/img/ajax-loader.gif" /></div>';
  $("#local-status-acoes").show();
  
  var http = new Ajax();
  http.open("GET", "/admin/funcoes-ajax-revenda/remover_app_android/"+codigo , true);
  http.onreadystatechange = function() {
	
  if(http.readyState == 4) {
  
	resultado = http.responseText;
  
  document.getElementById("local-status-acoes").innerHTML = resultado;  
  $('#' + $.escapeSelector(codigo)).remove();
  $("#local-status-acoes").delay(15000).fadeOut(300);
	
  }
  
  }
  http.send(null);
  delete http;
}

// Função para remover planos de revenda
function remover_plano( codigo ) {
  
  if(codigo == "") {
  alert("Erro! Tente novamente ou contate o suporte.");
  } else {
  
  document.getElementById("local-status-acoes").innerHTML = '<div class="alert alert-info text-center" role="alert"><img src="/img/ajax-loader.gif" /></div>';
  $("#local-status-acoes").show();
  
  var http = new Ajax();
  http.open("GET", "/admin/funcoes-ajax-revenda/remover_plano/"+codigo , true);
  http.onreadystatechange = function() {
  
  if(http.readyState == 4) {
  
  resultado = http.responseText;
  
  document.getElementById("local-status-acoes").innerHTML = resultado;  
  $('#' + $.escapeSelector(codigo)).remove();
  $("#local-status-acoes").delay(15000).fadeOut(300);
  
  }
  
  }
  http.send(null);
  delete http;
  }
}


// Rotina AJAX
function Ajax() {
var req;

try {
 req = new ActiveXObject("Microsoft.XMLHTTP");
} catch(e) {
 try {
	req = new ActiveXObject("Msxml2.XMLHTTP");
 } catch(ex) {
	try {
	 req = new XMLHttpRequest();
	} catch(exc) {
	 alert("Esse browser não tem recursos para uso do Ajax");
	 req = null;
	}
 }
}

return req;
}